de.esprit.netsuite.server.netch

## Interface ServerConnection

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable, ServerObject<ServerContext>
  All Known Subinterfaces:
    ServerMessageConnection, ServerRequestConnection, ServerTransferConnection
  All Known Implementing Classes:
    AbstractServerConnection, IOServerConnection

      public interface ServerConnection
      extends ServerObject<ServerContext>, java.io.Closeable

  This interface defines the methods to be provided by all types of `ServerConnection`s.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConnectionInfo()`
    `java.lang.String` | `getHostAddress()`
    `java.lang.String` | `getHostName()`
    `boolean` | `isClosed()`
    `boolean` | `isConnected()`
    `java.lang.Object` | `readObject()`
    `void` | `writeError(java.lang.Exception error)`
    `void` | `writeObject(java.lang.Object obj)`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### getConnectionInfo

          java.lang.String getConnectionInfo()

    - #### getHostAddress

          java.lang.String getHostAddress()

    - #### getHostName

          java.lang.String getHostName()

    - #### readObject

          java.lang.Object readObject()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### writeObject

          void writeObject(java.lang.Object obj)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### writeError

          void writeError(java.lang.Exception error)

    - #### isClosed

          boolean isClosed()

    - #### isConnected

          boolean isConnected()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.